Bug 1685570 (CVE-2019-17345) - CVE-2019-17345 xen: xsa291: x86/PV: page type reference counting issue with failed IOMMU update
Summary: CVE-2019-17345 xen: xsa291: x86/PV: page type reference counting issue with f...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-17345
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1685577
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 14:19 UTC by Andrej Nemec
Modified: 2019-11-12 08:56 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:49:59 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2019-03-05 14:19:12 UTC
When an x86 PV domain has a passed-through PCI device assigned, IOMMU
mappings may need to be updated when the type of a particular page
changes.  Such an IOMMU operation may fail.  In the event of failure,
while at present the affected guest would be forcibly crashed, the
already recorded additional type reference was not dropped again.  This
causes a bug check to trigger while cleaning up after the crashed
guest.

Malicious or buggy x86 PV guest kernels can mount a Denial of Service
(DoS) attack affecting the whole system.

References:

https://seclists.org/oss-sec/2019/q1/159

Comment 1 Andrej Nemec 2019-03-05 14:26:24 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1685577]


Note You need to log in before you can comment on or make changes to this bug.